API referenceLinkedin messaging
PATCH
/api/v1/chats/{id}

Only setReadStatus is supported on LinkedIn; any other action is 422.

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Path Parameters

id*string

A LinkedIn chat id (lgc_…).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/chats/lgc_Q2xpZW50Q2hhdA" \  -H "Content-Type: application/json" \  -d '{    "action": "setReadStatus",    "value": true  }'
{  "object": "ChatPatched"}